Browse files

updated rakefile and Gemfile incl dependencies and bumped version

  • Loading branch information...
1 parent 4f499ed commit 81062d97e3da3f5ac1ecb616dab91affdd2a2944 @kristianmandrup committed Aug 17, 2011
Showing with 60 additions and 33 deletions.
  1. +13 −7 Gemfile
  2. +46 −25 Rakefile
  3. +1 −1 VERSION
View
20 Gemfile
@@ -1,12 +1,18 @@
source :rubygems
gem "require_all", "~> 1.2.0"
-gem "activesupport", ">= 3.0.1"
-gem 'sugar-high', "~> 0.4.0"
-gem 'rails_artifactor', '~> 0.3.3'
-# gem 'logging_assist', '>= 0.2.0'
+gem "activesupport", ">= 3.0.1"
+gem 'sugar-high', ">= 0.5.0"
+gem 'rails_artifactor', '>= 0.4.0'
group :test do
- gem "rspec", ">= 2.4.1"
- gem "generator-spec", ">= 0.7.3"
-end
+ gem "rspec", ">= 2.5.0"
+ gem "generator-spec", ">= 0.7.5"
+end
+
+group :development do
+ gem "jeweler", ">= 1.6.4"
+ gem "bundler", ">= 1.0.10"
+ gem "rdoc"
+end
+
View
71 Rakefile
@@ -1,27 +1,48 @@
+# encoding: utf-8
+
+require 'rubygems'
+require 'bundler'
begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "roles_generic"
- gem.summary = %Q{Generic role strategies sharing the same API}
- gem.description = %Q{Generic role strategies sharing the same API. Easy to insert in any model}
- gem.email = "kmandrup@gmail.com"
- gem.homepage = "http://github.com/kristianmandrup/roles_generic"
- gem.authors = ["Kristian Mandrup"]
- gem.rubygems_version = '1.5.0'
-
- # See Gemfile for regular dependencies
- gem.add_development_dependency "rspec", '>= 2.4.1'
- gem.add_development_dependency "generator-spec", '>= 0.7.3'
-
- # COMMENTED OUT TO AVOID DUPLICATION WITH GEMFILE:
- # https://github.com/technicalpickles/jeweler/issues#issue/152
- gem.add_dependency 'require_all', '~> 1.2.0'
- gem.add_dependency 'activesupport', '>= 3.0.1'
- gem.add_dependency 'sugar-high', '~> 0.4.0'
-
- # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
+ Bundler.setup(:default, :development)
+rescue Bundler::BundlerError => e
+ $stderr.puts e.message
+ $stderr.puts "Run `bundle install` to install missing gems"
+ exit e.status_code
+end
+require 'rake'
+
+require 'jeweler'
+Jeweler::Tasks.new do |gem|
+ # gem is a Gem::Specification... see http://docs.rubygems.org/read/chapter/20 for more options
+ gem.name = "roles_generic"
+ gem.summary = %Q{Generic role strategies sharing the same API}
+ gem.description = %Q{Generic role strategies sharing the same API. Easy to insert in any model}
+ gem.email = "kmandrup@gmail.com"
+ gem.homepage = "http://github.com/kristianmandrup/roles_generic"
+ gem.email = "kmandrup@gmail.com"
+ gem.authors = ["Kristian Mandrup"]
+ # dependencies defined in Gemfile
+end
+Jeweler::RubygemsDotOrgTasks.new
+
+require 'rake/testtask'
+Rake::TestTask.new(:test) do |test|
+ test.libs << 'lib' << 'test'
+ test.pattern = 'test/**/test_*.rb'
+ test.verbose = true
+end
+
+task :default => :test
+
+require 'rake/rdoctask'
+Rake::RDocTask.new do |rdoc|
+ version = File.exist?('VERSION') ? File.read('VERSION') : ""
+
+ rdoc.rdoc_dir = 'rdoc'
+ rdoc.title = "roles_generic #{version}"
+ rdoc.rdoc_files.include('README*')
+ rdoc.rdoc_files.include('lib/**/*.rb')
end
+
+
+
View
2 VERSION
@@ -1 +1 @@
-0.3.9
+0.5.0

0 comments on commit 81062d9

Please sign in to comment.